Jump to content
Avehn

Enhanced Edition Compatibility with L1NPCs

Recommended Posts

I guess the key idea I'm trying to advocate is that instead of having fixed components for various NPCs, the core definition of what changes the mod will make can live in a text file that can be easily read and modified. That would make it easy for people to reuse their favorite config across installs... especially if the definitions are mapped to a scriptname/DV (and you just run a patch across all CREs looking for a match instead of having to worry about platform-specific differences or making sure you have cre, cre5, cre10, cre15 etc.).

Share this post


Link to post

Oh yeah definitely. I've thought abought trying to do something like that - basically, the principle of my YARAS mod applied to creatures instead of armors.

- find all joinable NPCs

- read the creature's name, spit it out to the user and ask for input for basic characteristics (class, kit, stats, profs, etc.)

- read those values and set the .cre to level 1 with stuff like hp, lore, saves, thac0 etc. depending on class/kit/stats

- etc.

 

But, now you're talking about scrapping this mod and writing it new from the ground up. I seriously doubt anyone has the time for that.

Share this post


Link to post

I think it's way easier to update level1npcs than to create a new one. Also, lvl1npcs can be automated. Check the batchlog folder. You can just modify the .txt to your tastes and run the .cmd file (I've never tested this nor I can guarantee it works but it's all I can offer right now).

 

The mod itself could be modified to make use of a much modern way of automation for the installation, but I'm not sure how that would work (I would use an external script (Ruby, WeiDU, bash, it doesn't matter, it just has to do it's job) to check for an individual .ini for each character and then launch WeiDU to install each component). Then you copy-paste the folder with the .ini files, launch the automated installer/script and voila!

Share this post


Link to post

 

Well, it works with BG2:EE for now. I yet have to start on the BG:EE version (and the SoD version as well).

Erhm, and EET too.

You might do best to forget the BG:EE and SoD and just move to EET first and then check later what to use from that to the others. Or NOT. It's up to you of course.

Been out of the game long enough that I didn't even know about EET. Definetely seems worthwhile from a player perspective to just focus on EET and put the others aside. Of course modder gonna do what modder gonna do.

 

How would NPC continuity in EET work with full Level1NPC functionality though? Is it as easy as just installing Level1NPC once for each character and then just use that .cre for the whole trilogy/SoD?

 

The EEs are finally starting to look like a superior product. Once EET is polished and has full Level1NPC and SCS functionality, I'll probably say goodbye to my GoG install for good. You're doing God's work, Daak

Edited by Grunker

Share this post


Link to post

 

 

Well, it works with BG2:EE for now. I yet have to start on the BG:EE version (and the SoD version as well).

Erhm, and EET too.

You might do best to forget the BG:EE and SoD and just move to EET first and then check later what to use from that to the others. Or NOT. It's up to you of course.

 

Been out of the game long enough that I didn't even know about EET. Definetely seems worthwhile from a player perspective to just focus on EET and put the others aside. Of course modder gonna do what modder gonna do.

 

How would NPC continuity in EET work with full Level1NPC functionality though? Is it as easy as just installing Level1NPC once for each character and then just use that .cre for the whole trilogy/SoD?

 

The EEs are finally starting to look like a superior product. Once EET is polished and has full Level1NPC and SCS functionality, I'll probably say goodbye to my GoG install for good. You're doing God's work, Daak

 

Actually, I'm not doing any type of work right now. :p I have been working more onto an NPC mod (and the multikit mod and probably a few more) and getting a webserver to work, besides finishing high school. I didn't touch this mod since almost a month. Worse thing is, that I forgot what I've already implemented for the Shaman to work and I'll have to go through the whole code again just to check. :facepalm: On Thursday I'll start working on this (I have an exam tomorrow (Monday), and then #1 priority is watching the new SW movie, not modding lmao), I promise.

 

I think I'll never get used to the EEs... They've changed too much stuff on the engine side, and I have a crush on BG2's GUI... Edit: And BG1-in-BG2's GUI as well...

Edited by CrevsDaak

Share this post


Link to post

Hey man, take your time, I didn't mean to rush you or anything. Really wish I had the capabilities, would definetely devote time to a project like this. Good luck with your exams, mate.

Edited by Grunker

Share this post


Link to post

Okay, I finally put together a working BG:EE version, and a fully functional BG2:EE version (except for Hexxat... Next version, I promise!). Nothing about SoD yet, and it shouldn't be running in EET (if it does great, if it doesn't, well, I already know it doesn't).

 

I am not sure why, but you can't choose Axe/Short Bow for Shamans. Probably because they're sharing their proficiency info with Druids when that is listed, I'll fix this for the next version as well.

 

Shamans don't get to choose spells, they automatically get Entangle and Bless I think :devlook: Next version I'll try to put together a spell picker for them.

 

As usual, file doesn't have a .exe file, and I haven't added Wilson/Baeloth ('cause they're easter eggs far too perfect to be modified).

 

Edit: I forgot to mention, the "None of these things interest me." reply when you're given the option to choose a kit is a BG2 string, so in BG:EE it'll show up as "Thank goodness you've returned! It's just not safe for us to travel separately. Please, can we rejoin?" Sorry for this, will fix on the next version as ewll.

 

Edit2: I've only updated the english/spanish .tra files, since they're the only languages I know. If anyone wants to correct/update the Polish/French ones I'll be happy to include them right away.

 

Edited by CrevsDaak

Share this post


Link to post

:O :O

 

AWESOME news! Thank you! Can finally play BG:EE :beer:

 

Is an EET/SoD-version realistic at any point or very difficult?

Share this post


Link to post

Give a man some free time. It might take a while until you finish BG1:EE. Until then, enjoy the game.

Share this post


Link to post

Is an EET/SoD-version realistic at any point or very difficult?

I have no clue which NPCs there are in SoD tbh, so it'll take some more time (not just the new ones but the returning ones from BG1 as well). The EET version should be easy, but I have to do it consciously or I'll end up breaking something.

Give a man some free time. It might take a while until you finish BG1:EE. Until then, enjoy the game.

Heh. I have more than enough free time, except I plague it with other stuff. But yeah, let me look to sane code for a couple of weeks :p

Share this post


Link to post

Give a man some free time.

 

I was just curious. If it wasn't clear, I'm immensely grateful for just about any amount of work done on this. It's pretty much my favourite mod.

 

 

 

The EET version should be easy, but I have to do it consciously or I'll end up breaking something.

 

Sounds like a plan.

 

My guess is most people now a days use EET + SoD. Haven't played it myself yet mostly due to Randomiser + LVL1NPC incompatability.

 

 

 

The EET version should be easy

 

Will using a hypothetical L1NPC version be as simple as installing L1NPC once for the whole shebang (BG1, SoD, BG2, ToB)? Pretty cool if that's the case, though I don't know if there are snags on the way with Fate Summoning etc.

 

 

 

But yeah, let me look to sane code for a couple of weeks :p

 

Haha, do whatever man. You're a modding hero in my book either way ;)

Edited by Grunker

Share this post


Link to post

...

My guess is most people now a days use EET + SoD.

...

No. Cause they can't. Cause the SoD is PART of the EET. That's the same thing as 0/0 or infinite times zero... you can't calculate a definite value without removing the zero-factor, or expanding the function with joint-expression(or what ever that translates into in English-math).

Share this post


Link to post

Pedantry aside, I seem to recall Fate Summoning messing with my L1NPC characters in the past.

Share this post


Link to post
Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...